## solarize solarize |

## Properties

gboolean | silent | Read / Write
guint | end | Read / Write
guint | start | Read / Write
guint | threshold | Read / Write

## Types and Values

struct | GstSolarize

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstSolarize

## Description

Solarize does a smart inverse in a video stream in realtime.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! solarize ! videoconvert ! autovideosink

This pipeline shows the effect of solarize on a test stream

## Synopsis

### Element Information

plugin | gaudieffects
author | Luis de Bethencourt <luis@debethencourt.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSolarize

    struct GstSolarize;

## Property Details

### The `“silent”` property

      “silent”                   gboolean

Produce verbose output ?.

Flags: Read / Write

Default value: FALSE

### The `“end”` property

      “end”                      guint

End parameter.

Flags: Read / Write

Allowed values: <= 256

Default value: 185

### The `“start”` property

      “start”                    guint

Start parameter.

Flags: Read / Write

Allowed values: <= 256

Default value: 50

### The `“threshold”` property

      “threshold”                guint

Threshold parameter.

Flags: Read / Write

Allowed values: <= 256

Default value: 127